---
lang: en
title: 'API docs: authentication-jwt.refreshtokenservicebindings'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.refreshtokenservicebindings.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [RefreshTokenServiceBindings](./authentication-jwt.refreshtokenservicebindings.md)

## RefreshTokenServiceBindings namespace

Bindings related to token refresh service. The omitted explanation can be found in namespace `RefreshTokenConstants`<!-- -->.

**Signature:**

```typescript
export declare namespace RefreshTokenServiceBindings 
```

## Variables

|  Variable | Description |
|  --- | --- |
|  [DATASOURCE\_NAME](./authentication-jwt.refreshtokenservicebindings.datasource_name.md) | The backend datasource for refresh token's persistency. |
|  [REFRESH\_EXPIRES\_IN](./authentication-jwt.refreshtokenservicebindings.refresh_expires_in.md) |  |
|  [REFRESH\_ISSUER](./authentication-jwt.refreshtokenservicebindings.refresh_issuer.md) |  |
|  [REFRESH\_REPOSITORY](./authentication-jwt.refreshtokenservicebindings.refresh_repository.md) | Key for the repository that stores the refresh token and its bound user information |
|  [REFRESH\_SECRET](./authentication-jwt.refreshtokenservicebindings.refresh_secret.md) |  |
|  [REFRESH\_TOKEN\_SERVICE](./authentication-jwt.refreshtokenservicebindings.refresh_token_service.md) |  |


